<?
require "../conexion/conectar.php";
require "../libs/funciones.php";

$conexion = new CONDB();
$conexion->conectar();

$rfcemisor=$_POST['rfcemisor'];
$tipodocto=$_POST['tipodocto'];
$serie=$_POST['serie'];
$folio=$_POST['folio'];
$uuid=$_POST['uuid'];

$completaQuery="";

if($serie != "")
	$completaQuery.=" and serie='$serie'";

if($folio != "")
	$completaQuery.=" and folio=$folio";

$result = mysqli_query($conexion->CONEXION,"select xml,pdf,fecharecibido from detallerecibedoce where rfcemisor='$rfcemisor' and tipodocto='$tipodocto' $completaQuery and uuid='$uuid' and 
numeroevento=(select max(numeroevento) as maxnumeroevento from detallerecibedoce where rfcemisor='$rfcemisor' and tipodocto='$tipodocto' $completaQuery and uuid='$uuid') LIMIT 1");

$tmp = mysqli_fetch_array($result,MYSQLI_ASSOC);
extract($tmp);

$year = substr($fecharecibido,0,4);
$mes = substr($fecharecibido,5,2);
				
$ruta = getINI("RUTA_RECIBIDOS=","../config.ini");
$InFile = end(explode("|",getINI("RUTAALMACEN=","../config.ini")));

$ruta=str_replace("<<RFCRECEPTOR>>",$_POST['rfcreceptor'],$ruta);
$rutaXML=$ruta."/".$year."/".$mes."/".$xml;
$rutaPDF=$ruta."/".$year."/".$mes."/".$pdf;

/*$xmlInFile = getLeftCadena($xml,"_").uniqid()."xml";
$pdfInFile = getLeftCadena($pdf,"_").uniqid()."pdf";*/

$rutaXMLInFile=$InFile.$xml;
$rutaPDFInFile=$InFile.$pdf;

$rutaPDF=str_replace("\\\\\\","\\\\",$rutaPDF);
$rutaPDF=str_replace("\\\\","\\",$rutaPDF);

$rutaXML=str_replace("\\\\\\","\\\\",$rutaXML);
$rutaXML=str_replace("\\\\","\\",$rutaXML);

$ban=false;
if(is_file($rutaPDF)){
	if(copy($rutaPDF,$rutaPDFInFile)){
		if(is_file($rutaXML)){
			if(copy($rutaXML,$rutaXMLInFile))
				$ban=true;
		}
	}
}else{
	if(is_file($rutaXML)){
		if(copy($rutaXML,$rutaXMLInFile))
			$ban=true;
	}
}




$conexion->desconectar();
?>
<?if($ban){?>
	<script>alert("Archivos copiados correctamente.")</script>
<?}else{?>
	<script>alert("No se pudieron cargar los archivos.\nIntente Nuevamente.")</script>
<?}?>
